EngineConfigurationFactoryServlet (Axis API)
Keywords: org.apache.axis.configuration.EngineConfigurationFactoryServlet class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.axis.configuration
Class EngineConfigurationFactoryServlet

    java.lang.Object
      org.apache.axis.configuration.EngineConfigurationFactoryDefault
          org.apache.axis.configuration.EngineConfigurationFactoryServlet

All Implemented Interfaces:
  EngineConfigurationFactory

public class EngineConfigurationFactoryServlet
extends EngineConfigurationFactoryDefault

This is a default implementation of ServletEngineConfigurationFactory. It is user-overrideable by a system property without affecting the caller. If you decide to override it, use delegation if you want to inherit the behaviour of this class as using class extension will result in tight loops. That is, your class should implement EngineConfigurationFactory and keep an instance of this class in a member field and delegate methods to that instance when the default behaviour is required.

Author:
  Richard A. Sitze, Davanum Srinivas (dims@apache.org)

Field Summary
`protected static org.apache.commons.logging.Log` | `log`

Fields inherited from class org.apache.axis.configuration.EngineConfigurationFactoryDefault
`CLIENT_CONFIG_FILE, clientConfigFile, OPTION_CLIENT_CONFIG_FILE, OPTION_SERVER_CONFIG_FILE, SERVER_CONFIG_FILE, serverConfigFile`

Fields inherited from interface org.apache.axis.EngineConfigurationFactory
`SYSTEM_PROPERTY_NAME`

Constructor Summary
`protected` | `EngineConfigurationFactoryServlet(javax.servlet.ServletConfig conf)` Create the default engine configuration and detect whether the user has overridden this with their own.

Method Summary
`EngineConfiguration` | `getServerEngineConfig()` Get a default server engine configuration.
`static EngineConfigurationFactory` | `newFactory(java.lang.Object param)` Creates and returns a new EngineConfigurationFactory.

Methods inherited from class org.apache.axis.configuration.EngineConfigurationFactoryDefault
`getClientEngineConfig`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### log

    protected static org.apache.commons.logging.Log log

Constructor Detail

### EngineConfigurationFactoryServlet

    protected EngineConfigurationFactoryServlet(javax.servlet.ServletConfig conf)

  Create the default engine configuration and detect whether the user has overridden this with their own.

Method Detail

### newFactory

    public static EngineConfigurationFactory newFactory(java.lang.Object param)

  Creates and returns a new EngineConfigurationFactory. If a factory cannot be created, return 'null'. The factory may return non-NULL only if: - it knows what to do with the param (param instanceof ServletContext) - it can find it's configuration information

  See Also:
    `EngineConfigurationFactoryFinder`

### getServerEngineConfig

    public EngineConfiguration getServerEngineConfig()

  Get a default server engine configuration.

  Specified by:
    `getServerEngineConfig` in interface `EngineConfigurationFactory`
  Overrides:
    `getServerEngineConfig` in class `EngineConfigurationFactoryDefault`
  Returns:
    a server EngineConfiguration

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2005 Apache Web Services Project. All Rights Reserved.